Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003827TestLinkGeneralpublic2010-10-02 10:332011-03-25 09:15
Reporterdifool 
Assigned ToJulian 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS VersionXP SP3
Product Version 
Fixed in Version1.9.1 (bug fixing) 
Summary0003827: TL19RC1 - Ajax login on timeout - Crash of js tree.
DescriptionOn step 5 of the TC the screen is lost (becomes totally blank) and the adress on adress bar is: http://127.0.0.1/lib/testcases/tcEdit.php?containerID=2 [^]

Moreover, when succeeding later, in getting into TestLink, if we return to the test specification, the js tree is out and firebug breaks on an error (see attached screenshot). The reason is the POST lib/ajax/gettprojectnodes.php asking for node 2 (with node 1 as root node) returns Null.

If we succeed in deleting the test suite (TestSuiteOne) then it's the root test suite which is stuck ...

If you stay into the same browser session, deleting the whole testproject to get rid of the tree stuck is not enough. When you recreate a testproject and access to the test specification, the js tree is stuck on the default top level suite (always with Null value).

The browser cache is responsible of keeping the js tree stuck.
Close the browser, clean cache and restart allow you to continue.


-> See the screenshot log04.jpg attached to the TC.

Steps To Reproduce 
Additional InformationFor following TC:
http://testlink.bplaced.net/linkto.php?tprojectPrefix=TL&item=testcase&id=TL-80 [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.1.49
BrowserMozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.2.10) Gecko/20100914 Firefox/3.6.10 ( .NET CLR 3.5.30729).
PHP VersionPHP 5.3.3
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0011850)
DianaSantos (reporter)
2010-10-10 23:01

Same happens in Chrome 6.0.472.63 (TL19RC1 + MySQL database)
(0011853)
Julian (reporter)
2010-10-11 08:32

could you please retest with latest release on sourceforge?
(0014273)
difool (reporter)
2011-03-25 09:00

To be noticed; for now, not reproduced.
(0014274)
Julian (reporter)
2011-03-25 09:01

can i resolve as fixed?
(0014276)
difool (reporter)
2011-03-25 09:12

I think yes.
(0014277)
Julian (reporter)
2011-03-25 09:15

already released

- Issue History
Date Modified Username Field Change
2010-10-02 10:33 difool New Issue
2010-10-10 23:01 DianaSantos Note Added: 0011850
2010-10-11 08:32 Julian Note Added: 0011853
2011-03-25 09:00 difool Note Added: 0014273
2011-03-25 09:01 Julian Note Added: 0014274
2011-03-25 09:12 difool Note Added: 0014276
2011-03-25 09:15 Julian Status new => resolved
2011-03-25 09:15 Julian Fixed in Version => 1.9.1 (bug fixing)
2011-03-25 09:15 Julian Resolution open => fixed
2011-03-25 09:15 Julian Assigned To => Julian
2011-03-25 09:15 Julian Note Added: 0014277
2011-03-25 09:15 Julian Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker